<?php
$tdataderecho_socios = array();
$tdataderecho_socios[".searchableFields"] = array();
$tdataderecho_socios[".ShortName"] = "derecho_socios";
$tdataderecho_socios[".OwnerID"] = "";
$tdataderecho_socios[".OriginalTable"] = "derecho_socios";


$tdataderecho_socios[".pagesByType"] = my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdataderecho_socios[".originalPagesByType"] = $tdataderecho_socios[".pagesByType"];
$tdataderecho_socios[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdataderecho_socios[".originalPages"] = $tdataderecho_socios[".pages"];
$tdataderecho_socios[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"search\":\"search\"}" );
$tdataderecho_socios[".originalDefaultPages"] = $tdataderecho_socios[".defaultPages"];

//	field labels
$fieldLabelsderecho_socios = array();
$fieldToolTipsderecho_socios = array();
$pageTitlesderecho_socios = array();
$placeHoldersderecho_socios = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsderecho_socios["Spanish"] = array();
	$fieldToolTipsderecho_socios["Spanish"] = array();
	$placeHoldersderecho_socios["Spanish"] = array();
	$pageTitlesderecho_socios["Spanish"] = array();
	$fieldLabelsderecho_socios["Spanish"]["id_derecho_Propietario"] = "Id Derecho Propietario";
	$fieldToolTipsderecho_socios["Spanish"]["id_derecho_Propietario"] = "";
	$placeHoldersderecho_socios["Spanish"]["id_derecho_Propietario"] = "";
	$fieldLabelsderecho_socios["Spanish"]["id_Socio"] = "Id Socio";
	$fieldToolTipsderecho_socios["Spanish"]["id_Socio"] = "";
	$placeHoldersderecho_socios["Spanish"]["id_Socio"] = "";
	$fieldLabelsderecho_socios["Spanish"]["clase_Acciones"] = "Clase Acciones";
	$fieldToolTipsderecho_socios["Spanish"]["clase_Acciones"] = "";
	$placeHoldersderecho_socios["Spanish"]["clase_Acciones"] = "";
	$fieldLabelsderecho_socios["Spanish"]["estado_Pago"] = "Estado Pago";
	$fieldToolTipsderecho_socios["Spanish"]["estado_Pago"] = "";
	$placeHoldersderecho_socios["Spanish"]["estado_Pago"] = "";
	$fieldLabelsderecho_socios["Spanish"]["fecha_Emision"] = "Fecha Emision";
	$fieldToolTipsderecho_socios["Spanish"]["fecha_Emision"] = "";
	$placeHoldersderecho_socios["Spanish"]["fecha_Emision"] = "";
	$fieldLabelsderecho_socios["Spanish"]["fecha_Inscripcion"] = "Fecha Inscripcion";
	$fieldToolTipsderecho_socios["Spanish"]["fecha_Inscripcion"] = "";
	$placeHoldersderecho_socios["Spanish"]["fecha_Inscripcion"] = "";
	$fieldLabelsderecho_socios["Spanish"]["gravamen"] = "Gravamen";
	$fieldToolTipsderecho_socios["Spanish"]["gravamen"] = "";
	$placeHoldersderecho_socios["Spanish"]["gravamen"] = "";
	$fieldLabelsderecho_socios["Spanish"]["nro_Acciones"] = "Nro Acciones";
	$fieldToolTipsderecho_socios["Spanish"]["nro_Acciones"] = "";
	$placeHoldersderecho_socios["Spanish"]["nro_Acciones"] = "";
	$fieldLabelsderecho_socios["Spanish"]["nro_Acciones_Literal"] = "Nro Acciones Literal";
	$fieldToolTipsderecho_socios["Spanish"]["nro_Acciones_Literal"] = "";
	$placeHoldersderecho_socios["Spanish"]["nro_Acciones_Literal"] = "";
	$fieldLabelsderecho_socios["Spanish"]["nro_Folio"] = "Nro Folio";
	$fieldToolTipsderecho_socios["Spanish"]["nro_Folio"] = "";
	$placeHoldersderecho_socios["Spanish"]["nro_Folio"] = "";
	$fieldLabelsderecho_socios["Spanish"]["nro_Partido"] = "Nro Partido";
	$fieldToolTipsderecho_socios["Spanish"]["nro_Partido"] = "";
	$placeHoldersderecho_socios["Spanish"]["nro_Partido"] = "";
	$fieldLabelsderecho_socios["Spanish"]["nro_Titulo"] = "Nro Titulo";
	$fieldToolTipsderecho_socios["Spanish"]["nro_Titulo"] = "";
	$placeHoldersderecho_socios["Spanish"]["nro_Titulo"] = "";
	$fieldLabelsderecho_socios["Spanish"]["serie_Acciones"] = "Serie Acciones";
	$fieldToolTipsderecho_socios["Spanish"]["serie_Acciones"] = "";
	$placeHoldersderecho_socios["Spanish"]["serie_Acciones"] = "";
	$fieldLabelsderecho_socios["Spanish"]["tipo_Acciones"] = "Tipo Acciones";
	$fieldToolTipsderecho_socios["Spanish"]["tipo_Acciones"] = "";
	$placeHoldersderecho_socios["Spanish"]["tipo_Acciones"] = "";
	$fieldLabelsderecho_socios["Spanish"]["ci"] = "Ci";
	$fieldToolTipsderecho_socios["Spanish"]["ci"] = "";
	$placeHoldersderecho_socios["Spanish"]["ci"] = "";
	$fieldLabelsderecho_socios["Spanish"]["socio"] = "Socio";
	$fieldToolTipsderecho_socios["Spanish"]["socio"] = "";
	$placeHoldersderecho_socios["Spanish"]["socio"] = "";
	if (count($fieldToolTipsderecho_socios["Spanish"]))
		$tdataderecho_socios[".isUseToolTips"] = true;
}


	$tdataderecho_socios[".NCSearch"] = true;



$tdataderecho_socios[".shortTableName"] = "derecho_socios";
$tdataderecho_socios[".nSecOptions"] = 0;

$tdataderecho_socios[".mainTableOwnerID"] = "";
$tdataderecho_socios[".entityType"] = 0;
$tdataderecho_socios[".connId"] = "bsn_dividendos_at_localhost";


$tdataderecho_socios[".strOriginalTableName"] = "derecho_socios";

	



$tdataderecho_socios[".showAddInPopup"] = false;

$tdataderecho_socios[".showEditInPopup"] = false;

$tdataderecho_socios[".showViewInPopup"] = false;

$tdataderecho_socios[".listAjax"] = false;
//	temporary
//$tdataderecho_socios[".listAjax"] = false;

	$tdataderecho_socios[".audit"] = false;

	$tdataderecho_socios[".locking"] = false;


$pages = $tdataderecho_socios[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataderecho_socios[".edit"] = true;
	$tdataderecho_socios[".afterEditAction"] = 1;
	$tdataderecho_socios[".closePopupAfterEdit"] = 1;
	$tdataderecho_socios[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataderecho_socios[".add"] = true;
$tdataderecho_socios[".afterAddAction"] = 1;
$tdataderecho_socios[".closePopupAfterAdd"] = 1;
$tdataderecho_socios[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataderecho_socios[".list"] = true;
}



$tdataderecho_socios[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataderecho_socios[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataderecho_socios[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataderecho_socios[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataderecho_socios[".printFriendly"] = true;
}



$tdataderecho_socios[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataderecho_socios[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataderecho_socios[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataderecho_socios[".isUseAjaxSuggest"] = true;



																																																

$tdataderecho_socios[".ajaxCodeSnippetAdded"] = false;

$tdataderecho_socios[".buttonsAdded"] = false;

$tdataderecho_socios[".addPageEvents"] = false;

// use timepicker for search panel
$tdataderecho_socios[".isUseTimeForSearch"] = false;


$tdataderecho_socios[".badgeColor"] = "E67349";


$tdataderecho_socios[".allSearchFields"] = array();
$tdataderecho_socios[".filterFields"] = array();
$tdataderecho_socios[".requiredSearchFields"] = array();

$tdataderecho_socios[".googleLikeFields"] = array();
$tdataderecho_socios[".googleLikeFields"][] = "id_derecho_Propietario";
$tdataderecho_socios[".googleLikeFields"][] = "id_Socio";
$tdataderecho_socios[".googleLikeFields"][] = "clase_Acciones";
$tdataderecho_socios[".googleLikeFields"][] = "estado_Pago";
$tdataderecho_socios[".googleLikeFields"][] = "fecha_Emision";
$tdataderecho_socios[".googleLikeFields"][] = "fecha_Inscripcion";
$tdataderecho_socios[".googleLikeFields"][] = "gravamen";
$tdataderecho_socios[".googleLikeFields"][] = "nro_Acciones";
$tdataderecho_socios[".googleLikeFields"][] = "nro_Acciones_Literal";
$tdataderecho_socios[".googleLikeFields"][] = "nro_Folio";
$tdataderecho_socios[".googleLikeFields"][] = "nro_Partido";
$tdataderecho_socios[".googleLikeFields"][] = "nro_Titulo";
$tdataderecho_socios[".googleLikeFields"][] = "serie_Acciones";
$tdataderecho_socios[".googleLikeFields"][] = "tipo_Acciones";
$tdataderecho_socios[".googleLikeFields"][] = "ci";
$tdataderecho_socios[".googleLikeFields"][] = "socio";



$tdataderecho_socios[".tableType"] = "list";

$tdataderecho_socios[".printerPageOrientation"] = 0;
$tdataderecho_socios[".nPrinterPageScale"] = 100;

$tdataderecho_socios[".nPrinterSplitRecords"] = 40;

$tdataderecho_socios[".geocodingEnabled"] = false;










$tdataderecho_socios[".pageSize"] = 20;

$tdataderecho_socios[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataderecho_socios[".strOrderBy"] = $tstrOrderBy;

$tdataderecho_socios[".orderindexes"] = array();


$tdataderecho_socios[".sqlHead"] = "SELECT id_derecho_Propietario,  	id_Socio,  	clase_Acciones,  	estado_Pago,  	fecha_Emision,  	fecha_Inscripcion,  	gravamen,  	nro_Acciones,  	nro_Acciones_Literal,  	nro_Folio,  	nro_Partido,  	nro_Titulo,  	serie_Acciones,  	tipo_Acciones,  	ci,  	socio";
$tdataderecho_socios[".sqlFrom"] = "FROM derecho_socios";
$tdataderecho_socios[".sqlWhereExpr"] = "";
$tdataderecho_socios[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataderecho_socios[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataderecho_socios[".arrGroupsPerPage"] = $arrGPP;

$tdataderecho_socios[".highlightSearchResults"] = true;

$tableKeysderecho_socios = array();
$tdataderecho_socios[".Keys"] = $tableKeysderecho_socios;


$tdataderecho_socios[".hideMobileList"] = array();




//	id_derecho_Propietario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_derecho_Propietario";
	$fdata["GoodName"] = "id_derecho_Propietario";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","id_derecho_Propietario");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_derecho_Propietario";

		$fdata["sourceSingle"] = "id_derecho_Propietario";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_derecho_Propietario";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["id_derecho_Propietario"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "id_derecho_Propietario";
//	id_Socio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "id_Socio";
	$fdata["GoodName"] = "id_Socio";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","id_Socio");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_Socio";

		$fdata["sourceSingle"] = "id_Socio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Socio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["id_Socio"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "id_Socio";
//	clase_Acciones
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "clase_Acciones";
	$fdata["GoodName"] = "clase_Acciones";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","clase_Acciones");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "clase_Acciones";

		$fdata["sourceSingle"] = "clase_Acciones";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "clase_Acciones";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["clase_Acciones"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "clase_Acciones";
//	estado_Pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "estado_Pago";
	$fdata["GoodName"] = "estado_Pago";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","estado_Pago");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "estado_Pago";

		$fdata["sourceSingle"] = "estado_Pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "estado_Pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["estado_Pago"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "estado_Pago";
//	fecha_Emision
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "fecha_Emision";
	$fdata["GoodName"] = "fecha_Emision";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","fecha_Emision");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha_Emision";

		$fdata["sourceSingle"] = "fecha_Emision";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha_Emision";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["fecha_Emision"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "fecha_Emision";
//	fecha_Inscripcion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "fecha_Inscripcion";
	$fdata["GoodName"] = "fecha_Inscripcion";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","fecha_Inscripcion");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha_Inscripcion";

		$fdata["sourceSingle"] = "fecha_Inscripcion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha_Inscripcion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["fecha_Inscripcion"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "fecha_Inscripcion";
//	gravamen
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "gravamen";
	$fdata["GoodName"] = "gravamen";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","gravamen");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "gravamen";

		$fdata["sourceSingle"] = "gravamen";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "gravamen";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["gravamen"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "gravamen";
//	nro_Acciones
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "nro_Acciones";
	$fdata["GoodName"] = "nro_Acciones";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","nro_Acciones");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "nro_Acciones";

		$fdata["sourceSingle"] = "nro_Acciones";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nro_Acciones";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["nro_Acciones"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "nro_Acciones";
//	nro_Acciones_Literal
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "nro_Acciones_Literal";
	$fdata["GoodName"] = "nro_Acciones_Literal";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","nro_Acciones_Literal");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nro_Acciones_Literal";

		$fdata["sourceSingle"] = "nro_Acciones_Literal";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nro_Acciones_Literal";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["nro_Acciones_Literal"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "nro_Acciones_Literal";
//	nro_Folio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "nro_Folio";
	$fdata["GoodName"] = "nro_Folio";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","nro_Folio");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "nro_Folio";

		$fdata["sourceSingle"] = "nro_Folio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nro_Folio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["nro_Folio"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "nro_Folio";
//	nro_Partido
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "nro_Partido";
	$fdata["GoodName"] = "nro_Partido";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","nro_Partido");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "nro_Partido";

		$fdata["sourceSingle"] = "nro_Partido";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nro_Partido";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["nro_Partido"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "nro_Partido";
//	nro_Titulo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "nro_Titulo";
	$fdata["GoodName"] = "nro_Titulo";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","nro_Titulo");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "nro_Titulo";

		$fdata["sourceSingle"] = "nro_Titulo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nro_Titulo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["nro_Titulo"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "nro_Titulo";
//	serie_Acciones
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "serie_Acciones";
	$fdata["GoodName"] = "serie_Acciones";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","serie_Acciones");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "serie_Acciones";

		$fdata["sourceSingle"] = "serie_Acciones";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "serie_Acciones";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["serie_Acciones"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "serie_Acciones";
//	tipo_Acciones
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "tipo_Acciones";
	$fdata["GoodName"] = "tipo_Acciones";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","tipo_Acciones");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "tipo_Acciones";

		$fdata["sourceSingle"] = "tipo_Acciones";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tipo_Acciones";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["tipo_Acciones"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "tipo_Acciones";
//	ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "ci";
	$fdata["GoodName"] = "ci";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","ci");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "ci";

		$fdata["sourceSingle"] = "ci";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["ci"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "ci";
//	socio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "socio";
	$fdata["GoodName"] = "socio";
	$fdata["ownerTable"] = "derecho_socios";
	$fdata["Label"] = GetFieldLabel("derecho_socios","socio");
	$fdata["FieldType"] = 201;


	
	
			

		$fdata["strField"] = "socio";

		$fdata["sourceSingle"] = "socio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_socios["socio"] = $fdata;
		$tdataderecho_socios[".searchableFields"][] = "socio";


$tables_data["derecho_socios"]=&$tdataderecho_socios;
$field_labels["derecho_socios"] = &$fieldLabelsderecho_socios;
$fieldToolTips["derecho_socios"] = &$fieldToolTipsderecho_socios;
$placeHolders["derecho_socios"] = &$placeHoldersderecho_socios;
$page_titles["derecho_socios"] = &$pageTitlesderecho_socios;


changeTextControlsToDate( "derecho_socios" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["derecho_socios"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["derecho_socios"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_derecho_socios()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id_derecho_Propietario,  	id_Socio,  	clase_Acciones,  	estado_Pago,  	fecha_Emision,  	fecha_Inscripcion,  	gravamen,  	nro_Acciones,  	nro_Acciones_Literal,  	nro_Folio,  	nro_Partido,  	nro_Titulo,  	serie_Acciones,  	tipo_Acciones,  	ci,  	socio";
$proto0["m_strFrom"] = "FROM derecho_socios";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_derecho_Propietario",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto6["m_sql"] = "id_derecho_Propietario";
$proto6["m_srcTableName"] = "derecho_socios";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Socio",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto8["m_sql"] = "id_Socio";
$proto8["m_srcTableName"] = "derecho_socios";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "clase_Acciones",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto10["m_sql"] = "clase_Acciones";
$proto10["m_srcTableName"] = "derecho_socios";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "estado_Pago",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto12["m_sql"] = "estado_Pago";
$proto12["m_srcTableName"] = "derecho_socios";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_Emision",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto14["m_sql"] = "fecha_Emision";
$proto14["m_srcTableName"] = "derecho_socios";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_Inscripcion",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto16["m_sql"] = "fecha_Inscripcion";
$proto16["m_srcTableName"] = "derecho_socios";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "gravamen",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto18["m_sql"] = "gravamen";
$proto18["m_srcTableName"] = "derecho_socios";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "nro_Acciones",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto20["m_sql"] = "nro_Acciones";
$proto20["m_srcTableName"] = "derecho_socios";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "nro_Acciones_Literal",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto22["m_sql"] = "nro_Acciones_Literal";
$proto22["m_srcTableName"] = "derecho_socios";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "nro_Folio",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto24["m_sql"] = "nro_Folio";
$proto24["m_srcTableName"] = "derecho_socios";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "nro_Partido",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto26["m_sql"] = "nro_Partido";
$proto26["m_srcTableName"] = "derecho_socios";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "nro_Titulo",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto28["m_sql"] = "nro_Titulo";
$proto28["m_srcTableName"] = "derecho_socios";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "serie_Acciones",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto30["m_sql"] = "serie_Acciones";
$proto30["m_srcTableName"] = "derecho_socios";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_Acciones",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto32["m_sql"] = "tipo_Acciones";
$proto32["m_srcTableName"] = "derecho_socios";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto34["m_sql"] = "ci";
$proto34["m_srcTableName"] = "derecho_socios";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "socio",
	"m_strTable" => "derecho_socios",
	"m_srcTableName" => "derecho_socios"
));

$proto36["m_sql"] = "socio";
$proto36["m_srcTableName"] = "derecho_socios";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto38=array();
$proto38["m_link"] = "SQLL_MAIN";
			$proto39=array();
$proto39["m_strName"] = "derecho_socios";
$proto39["m_srcTableName"] = "derecho_socios";
$proto39["m_columns"] = array();
$proto39["m_columns"][] = "id_derecho_Propietario";
$proto39["m_columns"][] = "id_Socio";
$proto39["m_columns"][] = "clase_Acciones";
$proto39["m_columns"][] = "estado_Pago";
$proto39["m_columns"][] = "fecha_Emision";
$proto39["m_columns"][] = "fecha_Inscripcion";
$proto39["m_columns"][] = "gravamen";
$proto39["m_columns"][] = "nro_Acciones";
$proto39["m_columns"][] = "nro_Acciones_Literal";
$proto39["m_columns"][] = "nro_Folio";
$proto39["m_columns"][] = "nro_Partido";
$proto39["m_columns"][] = "nro_Titulo";
$proto39["m_columns"][] = "serie_Acciones";
$proto39["m_columns"][] = "tipo_Acciones";
$proto39["m_columns"][] = "ci";
$proto39["m_columns"][] = "socio";
$obj = new SQLTable($proto39);

$proto38["m_table"] = $obj;
$proto38["m_sql"] = "derecho_socios";
$proto38["m_alias"] = "";
$proto38["m_srcTableName"] = "derecho_socios";
$proto40=array();
$proto40["m_sql"] = "";
$proto40["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto40["m_column"]=$obj;
$proto40["m_contained"] = array();
$proto40["m_strCase"] = "";
$proto40["m_havingmode"] = false;
$proto40["m_inBrackets"] = false;
$proto40["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto40);

$proto38["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto38);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="derecho_socios";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_derecho_socios = createSqlQuery_derecho_socios();


	
		;

																

$tdataderecho_socios[".sqlquery"] = $queryData_derecho_socios;



$tdataderecho_socios[".hasEvents"] = false;

?>